Version: 1.8.4
Summary: Universal Plug and Play (UPnP) SDK
Name: libupnp
Release: 3
License: BSD
URL: https://sourceforge.net/projects/pupnp
Source: https://downloads.sourceforge.net/pupnp/%{name}-%{version}.tar.bz2
Patch0: libupnp-1.8.4-nobump.patch
Patch1: 96.patch
Patch2: CVE-2020-13848.patch

BuildRequires: gcc autoconf automake


%description
The Universal Plug and Play (UPnP) SDK for Linux provides 
support for building UPnP-compliant control points, devices, 
and bridges on Linux.

%package devel
Summary: Include files needed for development with libupnp
Requires: libupnp%{?_isa} = %{version}-%{release}

%description devel
The libupnp-devel package contains the files necessary for development with
the UPnP SDK libraries.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
autoreconf

%build
%configure \
  --enable-static=no \
  --enable-ipv6

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install

%{__rm} %{buildroot}%{_libdir}/{libixml.la,libupnp.la}

%ldconfig_scriptlets

%files
%license COPYING
%doc THANKS
%{_libdir}/libixml.so.10*
%{_libdir}/libupnp.so.10*

%files devel
%{_includedir}/upnp/
%{_libdir}/libixml.so
%{_libdir}/libupnp.so
%{_libdir}/pkgconfig/libupnp.pc

%changelog
* Mon Feb 1 2021 lvhan <lvhan@kylinos.com> - 1.8.4-3
- Fixes CVE-2020-13848

* Mon Dec 28 2020 Ge Wang <wangge20@huawei.com> - 1.8.4-2
- Remove redundancy %{?dist}

* Thu Jul 23 2020 Zhao Yang <yangzhao1@kylinos.cn> - 1.8.4-1
- Initial release for OpenEuler
